RapidDriver Quick Start Guide
Top Next

RapidDriver Quick Start Guide

Copyright (c) 2005-2006, EnTech Taiwan

http://www.rapiddriver.com

tools@entechtaiwan.com


How to work with USB device?
Previous Top Next

1. Click the "Create New Device" button:

NewDeviceButton

2. Select your USB device from the list:

UsbSelectDevice

Caution: Do not select any system device like a mouse or an USB network adapter! The device may stop functioning!

3. Enter the Device Project Name:

UsbProjectName

4. Select the "Install Device Using ..." option then click the "Finish" button:

InstllTheDriver

5. Run the Device Manager to make sure that your device was installed properly:

UsbDeviceManager

Note: You can run Device Manager directly from GUI:

RunDeviceManager

6. Play with the device from GUI

Screenshot: USB Descriptors
Screenshot: USB Pipes
Screenshot: Vendor/Class Requests
Screenshot: USB Feature/Misc
Screenshot: USB Device Info

7. Select an example that is written in your preferred programming language (not applicable for RD Explorer edition)

7.1. Select the "Examples | Run Example" main menu item or click the following toolbar button:

7.2. Select your compiler, "USB" examples group, then click the "Run Compiler and load sample" button.

UsbExamples

Note: you must keep RapidDriver running in background while you are working with the demo version!


How to work with PCI device?

1. Click the "Create New Device" button:

NewDeviceButton

2. Select your PCI device from the list:

PciSelectDevice

Caution: Do not select any system device like a video adapter or a network card! The device or even whole system may stop functioning!

3. Enter the Device Project Name:

PciProjectName

4. Select the "Install Device Using ..." option then click the "Finish" button:

InstllTheDriver

5. Run the Device Manager to make sure that your device was installed properly:

PciDeviceManager

Note: You can run Device Manager directly from GUI:

RunDeviceManager

6. Play with the device from GUI

Screenshot: PCI Header Fields

Screenshot: Command and Status PCI Registers

Screenshot: PCI BARs

Screenshot: PCI Interrupts

7. Select an example that is written in your preferred programming language (not applicable for RD Explorer edition)

7.1. Select the "Examples | Run Example" main menu item or click the following toolbar button:

7.2. Select your compiler, "PCI" group, then click the "Run Compiler and load sample" button.

PciExample

Note: you must keep RapidDriver running in background while you are working with the demo version!


How to work with ISA/PC-104 device

1. Click the "Create New Device" button:

NewDeviceButton

2. Select "Create new project for an ISA/PC-104 device":

IsaSelectDevice

3. Enter the Device Project Name:

IsaProjectName

4. Set ISA hardware resources:

IsaResources

5. Select the "Install Device Using ..." option then click the "Finish" button:

InstllTheDriver

6. Run the Device Manager to make sure that your device was installed properly:

IsaDeviceManager

Note: You can run Device Manager directly from GUI: RunDeviceManager

7. Right-click the ISA device in Device Manager, select "Properties" then check out that all hardware resources was properly assigned by the system:

IsaDeviceMangerResources

In some cases you can be asked to reboot - do it.

8. Play with the device from GUI

Screenshot: ISA Registers

Screenshot: Interruptions

9. Select an example that is written in your preferred programming language (not applicable for RD Explorer edition)

9.1. Select the "Examples | Run Example" main menu item or click the following toolbar button:

9.2. Select your compiler, "ISA" group, then click the "Run Compiler and load sample" button.

IsaExamples

Note: you must keep RapidDriver running in background while you are working with the demo version!


How to work with Parallel Port?

1. Select pre-defined "Parallel Port Device" from the drop-down list:

SelectParallelPortProject

2. Select a parallel port and it's mode (add a port as a "custom port" if not auto-detected by RapidDriver):

ParallelPortMode

3. Play with the port from GUI:

Screenshot: D25 Pins

Screenshot: LPT registers

Screenshot: Interruptions

Note: Do not forget to enable parallel port interruptions in Control Panel if you want to test this functionality. To do this, run Device Manager then go to the Ports->Parallel PortN->Properties->Port Settings tab page:

EnableLptInterrupt

4. Select an example that is written in your preferred programming language (not applicable for RD Explorer edition)

4.1. Select the "Examples | Run Example" main menu item

4.2. Select your compiler, "LPT" group, then click the "Run Compiler and load sample" button.

PciExample

Note: you must keep RapidDriver running in background while you are working with the demo version!


How to work with Serial Port?

1. Select pre-defined "Serial Port Device" from the drop-down list:

SelectSerialPort

2. Select a serial port and it's parameters:

SerialPortSettings

3. Click the "Open Port" button.

4. Send and/or receive data through the port.

Screenshot: Text Terminal

Screenshot: Hex Terminal


USB Screenshots

USB Descriptors

UsbDescriptors

USB Pipes

UsbPipes

Vendor/Class Requests

UsbVendorClass

USB Feature/Misc

UsbFeatMisc

USB Device Info

UsbDevInfo


PCI Screenshots

PCI Header

PciHeader

PCI Command and Status registers

PciCommandStatus

PCI BARs

PciBars

PCI Interruptions

PciInterrupts


ISA Screenshots

ISA Registers

IsaRegisters

Interruptions

IsaInterrupt


LPT Screenshots

LPT Pins

LptPins

LPT Registers

LptBits

LPT Interrupts

LptInterrupts


Serial Port Screenshots
Previous Top

Text Terminal

SerialTextTerminal

Hex Terminal

SerialHexTerminal